﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CalendarEditSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            cal.Loaded += Cal_Loaded;
            
        }

        private void Cal_Loaded(object sender, RoutedEventArgs e)
        {
            cal.SelectedDates.Add(DateTime.Now);
            //cal.SelectedDates.Add(new DateTime(2016, 08, 10));
            //cal.SelectedDates.Add(new DateTime(2016, 08, 11));
            //cal.SelectedDates.Add(new DateTime(2016, 08, 12));
            //cal.SelectedDates.Add(new DateTime(2016, 08, 13));
            //cal.SelectedDates.Add(new DateTime(2016, 08, 14));
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            cal.SelectedDates.Clear();
            for(int i=1; i<=30;i++)
            {
                cal.SelectedDates.Add(new DateTime(2016, 08, i));
            }
        }

        private void btnLeft_Click(object sender, RoutedEventArgs e)
        {
            var oldDay = cal.SelectedDates[0];
            cal.SelectedDates.Clear();
            cal.SelectedDates.Add(oldDay.AddDays(-1));
            cal.Date = oldDay.AddDays(-1);
        }

        private void btnRight_Click(object sender, RoutedEventArgs e)

        {         
            var oldDay = cal.SelectedDates[0];
            cal.SelectedDates.Clear();          
            cal.SelectedDates.Add(oldDay.AddDays(1));
            cal.Date = oldDay.AddDays(1);
        }
    }
}
